MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000051Hall D OfflineGeneralpublic2011-03-21 07:452015-06-10 10:05
Reporterjonesrt 
Assigned Todavidl 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000051: standard reconstruction segfaults in GetLastDOCAPoint()
DescriptionTrying to complete a reconstruction sample on the grid, and getting a recurring segfault in reconstruction. How to reproduce:

1. Grab the file http://zeus.phys.uconn.edu/halld/gridwork/bug-3-21-2011/events_3806.hddm [^] - a single event that causes the segfault.
2. Build the latest version of the reconstruction code (as of 3/18/2011) on either x86_64 or i686 platforms, both show the same feature. I have only tested this with default optimization -O2.
3. Run "hd_ana -PPLUGINS=danahddm -PTHREAD_TIMEOUT=300 events_3806.hddm".
4. Watch it segfault.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000065)
davidl (administrator)
2011-03-21 10:40

Was not able to reproduce this problem on OS X, but was on CentOS 5.3 (64bit).

Committed fix in svn revision 7603. It was due to use of a NULL pointer for last_swim_step in DReferenceTrajectory::GetLastDOCAPoint.

Currently awaiting confirmation of fix from Richard before marking issue as resolved.
(0000066)
jonesrt (developer)
2011-03-21 14:41

David's fix resolves this problem for me, confirm that this ticket can be closed.
(0000067)
davidl (administrator)
2011-03-21 14:44

Fix has been confirmed. Marking issue as resolved.

- Issue History
Date Modified Username Field Change
2011-03-21 07:45 jonesrt New Issue
2011-03-21 10:38 davidl Status new => assigned
2011-03-21 10:38 davidl Assigned To => davidl
2011-03-21 10:40 davidl Note Added: 0000065
2011-03-21 14:41 jonesrt Note Added: 0000066
2011-03-21 14:44 davidl Note Added: 0000067
2011-03-21 14:44 davidl Status assigned => resolved
2011-03-21 14:44 davidl Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker